Bug 534120 - Invalid EDID Errors in dmesg with Dell Optiplex 745 / Sun Monitor
Summary: Invalid EDID Errors in dmesg with Dell Optiplex 745 / Sun Monitor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_965Q
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-10 16:18 UTC by Marko Myllynen
Modified: 2009-12-01 04:43 UTC (History)
6 users (show)

Fixed In Version: 2.6.31.6-145.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-17 16:43:33 UTC


Attachments (Terms of Use)
dmesg on Dell Optiplex 745 (49.19 KB, text/plain)
2009-11-10 16:19 UTC, Marko Myllynen
no flags Details
Xorg.log on Dell Optiplex 745 (18.64 KB, text/plain)
2009-11-10 16:20 UTC, Marko Myllynen
no flags Details

Description Marko Myllynen 2009-11-10 16:18:38 UTC
Description of problem:
On a Dell Optiplex 745 with an Intel display apapter there are lots of "VGA-1: EDID invalid." errors in dmesg. Otherwise things are working normally, the monitor is an old Sun model. Please see the attachments for details.

Version-Release number of selected component (if applicable):
kernel-2.6.31.5-127

Comment 1 Marko Myllynen 2009-11-10 16:19:20 UTC
Created attachment 368431 [details]
dmesg on Dell Optiplex 745

Comment 2 Marko Myllynen 2009-11-10 16:20:15 UTC
Created attachment 368432 [details]
Xorg.log on Dell Optiplex 745

Comment 3 Adam Jackson 2009-11-10 16:29:43 UTC
Cool, if you put a real EDID header on the front of that, it checksums correctly.  Seems reasonable to get the EDID parser to fix that up.

Comment 4 Bug Zapper 2009-11-16 15:24:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Adam Jackson 2009-11-17 16:43:33 UTC
Should be fixed in kernel-2.6.31.6-134 and later.

Comment 6 Fedora Update System 2009-11-18 12:20:02 UTC
kernel-2.6.31.6-134.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.31.6-134.fc12

Comment 7 Marko Myllynen 2009-11-19 09:36:41 UTC
Nice, with kernel-2.6.31.6-134.fc12 resolution with this old Sun monitor is now 1280x1024, without the fix it was only 800x600.

Comment 8 Fedora Update System 2009-11-23 13:03:38 UTC
kernel-2.6.31.6-145.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.31.6-145.fc12

Comment 9 Fedora Update System 2009-12-01 04:42:43 UTC
kernel-2.6.31.6-145.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.